Subject: Re: Possible to login as different user?
From: David Starks-Browning <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 7 Aug 2001 10:18:00 +0100

On Monday 6 Aug 01, William Guynes writes:
> On Mon,  6 Aug 2001 09:41:04 +0100, David Starks-Browning
> <[email-masked]> wrote:
> >I don't use su or login, so I need help with this FAQ entry.
> 
> The only things I can think of would be some form of explanation of
> why "su" was removed and, possibly, some instructions of how to get
> "login" working.  

You mean, beyond what's in /usr/doc/Cygwin/login.README?  If that file
is incomplete or inadequate, we should work on that, rather than add
to the FAQ.

> Any security risks in doing so could be detailed.
> 
> Potential Risk:  Don't let a default installation give a user a
> backdoor to possibly bypass NT user security. (?)

Sorry, what do you mean?  If you can explain this to me I would
consider putting something in the FAQ.  Though if it's login+Cygwin
related, I might argue that it goes in /usr/doc/Cygwin/login.README.

(I don't rely on Cygwin for any security, except to let ssh encrypt my
remote logins.  So I don't pay attention to these issues, so I can't
write about them in the FAQ.)

Hope this helps.

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/